Re: [Xen-devel] Xen 4.9 is broken with last version of Win10

classic Classic list List threaded Threaded
1 message Options
Reply | Threaded
Open this post in threaded view
|

Re: [Xen-devel] Xen 4.9 is broken with last version of Win10

Paul Durrant
De-htmling...
Moving to xen-users (xen-devel to bcc)...

-----
From: Xen-devel [mailto:[hidden email]] On Behalf Of Berillions
Sent: 21 October 2017 17:50
To: [hidden email]
Subject: [Xen-devel] Xen 4.9 is broken with last version of Win10

Hi guys,
I send you this message to warn you that the latest official version of Windows 10 is broken with Xen. This actual version called "Fall Creator Update" is released few days ago.
I did my tests with this version 1709 and the old version 1703 called "Creator Update" and SEABIOS.
Windows 10 version 1709 :
SEABIOS : Able to boot to the CD/DVD-ROM but when you must to choose your disk to install the system, Windows says that these drivers are obsolete and don't find your disk.
http://hpics.li/0082aa8
I try to translate the French message :
Load a driver
Your computer needs a media's driver which is missing. It can be a DVD Disk, USB Disk or Hard Disk driver. If you have a CD or an USB Key with the driver, insert it now.

Windows 10 version 1703 :
SEABIOS : All works correctly.
http://hpics.li/0b9aaaf
This problem affect QEMU/KVM too, see here :
http://lists.nongnu.org/archive/html/qemu-discuss/2017-10/msg00044.html

Cheers,
Maxime
-----

Hi,

  I just downloaded a copy of 1709 and I don't see any particular problem. What does your xl.cfg look like? I guess the problem is your choice of system disk emulation, which is why you see the same issue with KVM.

  Paul
_______________________________________________
Xen-users mailing list
[hidden email]
https://lists.xen.org/xen-users